package com.dbnt.faisp.main.ivsgtMgt.boardInvestigation.mapper;

import com.dbnt.faisp.main.ivsgtMgt.boardInvestigation.model.ArrestType;
import com.dbnt.faisp.main.ivsgtMgt.boardInvestigation.model.BoardInvestigation;
import com.dbnt.faisp.main.ivsgtMgt.boardInvestigation.model.RelatedReports;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BoardInvestigationMapper {
  List<BoardInvestigation> selectBoardInvestigationList(BoardInvestigation boardInvestigation);
  Integer selectBoardInvestigationListCnt(BoardInvestigation boardInvestigation);
  String selectHashTags(Integer ivsgtKey);
  ArrestType selectArrestType(Integer ivsgtKey);
  List<RelatedReports> selectRelatedReportsList(Integer ivsgtKey);
}
